/*  Copyright (c) 2001, Oracle Corporation. All Rights Reserved. */
package oracle.portal.provider.v2.preference;

import oracle.portal.PortalException;

public class PreferenceStoreException extends PortalException
{
    public PreferenceStoreException(String resource,
                                    String name,
                                    Object[] args,
                                    Throwable cause)
    {
        super(resource, name, args, cause);
    }

    public PreferenceStoreException(String resource,
                                    String name,
                                    Object[] args)
    {
        super(resource, name, args);
    }


    public PreferenceStoreException(String resource,
                                    String name)
    {
        super(resource, name);
    }


    public PreferenceStoreException(String msg)
    {
        super(msg);
    }
}
